Subject: Re: bug#75306: 31.0.50; Make `small-temporary-file-directory` variable obsolete

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jan 2025 10:39:14 +0200

> Cc: [email-masked]
> Date: Fri, 03 Jan 2025 06:56:03 +0100
> From:  Michael Albinus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Stefan Kangas <[email-masked]> writes:
> 
> Hi Stefan,
> 
> > I think the variable doesn't make much sense these days, and should be
> > made obsolete.  Note that it is barely used in Emacs and third-party
> > packages.
> >
> > However, Tramp recently started using the variable as a place to create
> > OpenSSH Unix domain sockets.  May I suggest that Tramp uses some other
> > variable for this purpose, perhaps a Tramp specific one?
> 
> Is there a reason that it must be changed? What are the advantages? Does
> it hurt to keep the user option?

Exactly my questions.

The doc string says:

  If non-nil, this directory is used instead of ‘temporary-file-directory’
  by programs that create small temporary files.  This is for systems that
  have fast storage with limited space, such as a RAM disk.

This says nothing about MS-DOS, and makes perfect sense to me.  It
gives our users a capability to direct small enough temporary files to
a fast temporary filesystem.  If the OS sets this up, then users will
not need to customize this variable, whose default is nil.  But if
some user has a good reason to customize this, why take that
flexibility from them?  How do we justify removal of a feature which
could be useful to someone?  From my POV, this feature needs zero
maintenance.